NX二次开发-UFUN替换点集中的点UF_MODL_edit_points_parms
作者:互联网
NX9+VS2012 #include <uf.h> #include <uf_curve.h> #include <uf_modl.h> UF_initialize(); //创建点 double pointCoords1[3] = {0,10,20}; tag_t point1Tag = NULL_TAG; UF_CURVE_create_point(pointCoords1, &point1Tag); double pointCoords2[3] = {0,40,50}; tag_t point2Tag = NULL_TAG; UF_CURVE_create_point(pointCoords2, &point2Tag); double pointCoords3[3] = {0,70,80}; tag_t point3Tag = NULL_TAG; UF_CURVE_create_point(pointCoords3, &point3Tag); double pointCoords4[3] = {0,100,110}; tag_t point4Tag = NULL_TAG; UF_CURVE_create_point(pointCoords4, &point4Tag); //创建点集 tag_t points[4] = {point1Tag, point2Tag,point3Tag,point4Tag}; tag_t feature_tag = NULL_TAG; UF_MODL_create_points_feature(4, points, &feature_tag); //新的点 double pointCoords5[3] = {10,10,10}; tag_t point5Tag = NULL_TAG; UF_CURVE_create_point(pointCoords5, &point5Tag); //替换点集中的点 UF_MODL_edit_points_parms(feature_tag,1, &point5Tag); UF_terminate(); Caesar卢尚宇 2020年11月20日
标签:TAG,UF,point,edit,create,UFUN,tag,二次开发,NULL 来源: https://www.cnblogs.com/nxopen2018/p/14013266.html